package com.zanxiang.sdk.service.Impl;

import com.zanxiang.sdk.domain.enums.SmsTypeEnum;
import com.zanxiang.sdk.domain.params.SmsSendParam;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.Objects;

/**
 * @author : lingfeng
 * @time : 2022-06-09
 * @description : 手机短信逻辑
 */
@Slf4j
@Service
public class SmsServiceImpl {

    /**
     * 发送短信验证码
     *
     * @param smsSendParam : 获取短信验证码参数
     */
    public void smsSend(SmsSendParam smsSendParam) {
        //类型
        Integer type = smsSendParam.getType();
        //手机号码
        String mobile = smsSendParam.getMobile();
        //找回密码获取
        if (Objects.equals(type, SmsTypeEnum.SMS_FIND_PWD.getType())){

        }
    }
}
